## ros-lunar-controller-manager-tests 0.13.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(controller_manager_tests)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS controller_manager controller_interface)
catkin_python_setup()

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

catkin_package(
  CATKIN_DEPENDS controller_manager controller_interface
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  )

#common commands for building c++ executables and libraries
add_library(${PROJECT_NAME}
  src/effort_test_controller.cpp
  src/my_dummy_controller.cpp
  src/my_robot_hw.cpp
  src/pos_eff_controller.cpp
  src/pos_eff_opt_controller.cpp
  src/vel_eff_controller.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(dummy_app src/dummy_app.cpp)
target_link_libraries(dummy_app ${PROJECT_NAME} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_executable(cm_test test/cm_test.cpp)
  add_dependencies(tests cm_test)
  target_link_libraries(cm_test ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
  add_rostest(test/cm_test.test)
  catkin_add_nosetests(test)
  add_rostest(test/cm_msgs_utils_rostest.test)
  add_rostest(test/controller_manager_scripts.test)
endif()

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME} dummy_app
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES test_controllers_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-lunar-controller-manager-tests (0.13.3-0xenial) xenial; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-lunar-controller-manager-tests (0.13.2-0xenial) xenial; urgency=high

  * Fix controller_manager_interface and add unit tests.
  * migrate to new class list macros header
  * Contributors: Mathias Lüdtke, Yong Li

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-lunar-controller-manager-tests (0.13.1-0xenial) xenial; urgency=high

  * add tests for controller_manager scripts and nodes
  * return 0 in dummy_app main
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-lunar-controller-manager-tests (0.13.0-0xenial) xenial; urgency=high

  * Drop includes from CMake library build.
  * Contributors: Mike Purvis

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-controller-manager-tests (0.12.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-lunar-controller-manager-tests (0.11.5-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-lunar-controller-manager-tests (0.11.4-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-lunar-controller-manager-tests (0.11.3-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-lunar-controller-manager-tests (0.11.2-0xenial) xenial; urgency=high

  * Add Enrique and Bence to maintainer list
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-lunar-controller-manager-tests (0.11.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-lunar-controller-manager-tests (0.11.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-controller-manager-tests (0.10.1-0xenial) xenial; urgency=high

  * Add missing test dependency on rosservice
  * Remove control_toolbox dependency. Fix thread linking error coming from removal of dependency.
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-lunar-controller-manager-tests (0.10.0-0xenial) xenial; urgency=high

  * Cleaner test exit
  * Extend test suite
    - Exercise much more of the controller_manager ROS API.
    - Create multi-interface test controllers and exercise them in tests.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-controller-manager-tests (0.9.3-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-lunar-controller-manager-tests (0.9.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-controller-manager-tests (0.9.1-0xenial) xenial; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-controller-manager-tests (0.9.0-0xenial) xenial; urgency=high

  * Tests for Python helpers added to controller_manager_msgs
  * Buildsystem and documentation fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-controller-manager-tests (0.8.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-lunar-controller-manager-tests (0.8.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-lunar-controller-manager-tests (0.8.0-0xenial) xenial; urgency=high

  * controller_manager_tests: fix library linking
    From patch provided by po1 on hydro-devel.
  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-controller-manager-tests (0.7.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-controller-manager-tests (0.7.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-controller-manager-tests (0.7.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-lunar-controller-manager-tests (0.6.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-controller-manager-tests (0.5.8-0xenial) xenial; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep


=== debian/control ===
Source: ros-lunar-controller-manager-tests
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-controller-interface, ros-lunar-controller-manager, ros-lunar-rosbash, ros-lunar-rosnode, ros-lunar-rosservice, ros-lunar-rostest
Homepage: http://ros.org/wiki/controller_manager_tests
Standards-Version: 3.9.2

Package: ros-lunar-controller-manager-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-controller-interface, ros-lunar-controller-manager
Description: controller_manager_tests

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-controller-manager-tests//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
